Purchase and start or restart transfer process
View as MarkdownInitiates an inbound domain transfer from another registrar.
Full description
Initiates an inbound domain transfer from another registrar. Requires an authcode and a consent object with agreement keys. Charges a transfer fee.
Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Path Parameters
Domain to transfer in
Header Parameters
Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.
Details for domain transfer purchase
Response Body
curl -X POST "https://example.com/v1/domains/string/transfer" \ -H "Content-Type: application/json" \ -d '{ "authCode": "string", "consent": { "agreedAt": "string", "agreedBy": "string", "agreementKeys": [ "string" ] } }'{ "currency": "USD", "itemCount": 0, "orderId": 0, "total": 0}Agent & Automation Notes
domains.domain:read, domains.domain:create, domains.domain:delete, domains.domain:update, domains.contact:update, domains.dns:update, domains.transfer:executeRelated
Last updated on
How is this guide?